gnutls_session_enable_compatibility_mode(3)

NAME
gnutls_session_enable_compatibility_mode - disable certain features in TLS in order to honour compatibility

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_session_enable_compatibility_mode(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

DESCRIPTION
This function can be used to disable certain (security) features in TLS in order to maintain maximum compatibility with buggy clients. It is equivalent to calling: gnutls_record_disable_padding() Normally only servers that require maximum compatibility with everything out there, need to call this function.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.